summaryrefslogtreecommitdiff
path: root/test-art-target-test.sh
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2015-09-10 17:48:10 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2015-09-10 17:59:12 +0530
commitc2d631065743ece5a4dd628129292f73580fb7b3 (patch)
tree7bfefe0f5fb58e2df112c8856ec779ca1b8a4e1e /test-art-target-test.sh
parent2ff120b1745a50504daec3e1b61968b6bc5ed695 (diff)
downloadart-build-tests.sh-c2d631065743ece5a4dd628129292f73580fb7b3.tar.gz
Add 32bit target tests
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
Diffstat (limited to 'test-art-target-test.sh')
-rwxr-xr-xtest-art-target-test.sh55
1 files changed, 47 insertions, 8 deletions
diff --git a/test-art-target-test.sh b/test-art-target-test.sh
index b4efd46..50b0f48 100755
--- a/test-art-target-test.sh
+++ b/test-art-target-test.sh
@@ -26,18 +26,53 @@ export ART_TEST_RUN_TEST_2ND_ARCH=false
export ART_TEST_RUN_TEST_DEBUG=false
export ART_TEST_RUN_TEST_NDEBUG=true
export ART_USE_OPTIMIZING_COMPILER=true
+failed=0
+make -j4 $MAKE_TARGETS > $WORKSPACE/build-logs-64.txt 2>&1
-make -j4 $MAKE_TARGETS > $WORKSPACE/build-logs.txt 2>&1
+if [ $? -ne 0 ]; then
+ echo "Error: *** Error make failed"
+ cat $WORKSPACE/build-logs-64.txt
+ echo "YVALUE=`grep "2mPASSED" $WORKSPACE/build-logs.txt | grep "gtest" | ec -l`" > ${WORKSPACE}/gtest-pass_count-64.txt
+ echo "YVALUE=`grep "1mFAILED" $WORKSPACE/build-logs.txt | grep "gtest" | wc -l`" > ${WORKSPACE}/gtest-fail_count-64.txt
+ echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs.txt | grep "gtest" | wc -l`" > ${WORKSPACE}/gtest-skip_case-64.txt
+ echo "YVALUE=`grep "2mPASSED" $WORKSPACE/build-logs.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-pass_count-64.txt
+ echo "YVALUE=`grep "1mFAILED" $WORKSPACE/build-logs.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-fail_count-64.txt
+ echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-skip_case-64.txt
+ grep -rni "1mFAILED" $WORKSPACE/build-logs-64.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/failing-tests-64.txt
+ grep -rni "3mSKIPPING" $WORKSPACE/build-logs-64.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/skipped-tests-32.txt
+ failed=1
+fi
+
+source build/envsetup.sh
+lunch aosp_arm-eng
+./art/tools/buildbot-build.sh -j8 --32
+./art/tools/setup-buildbot-device.sh
+
+export ART_BUILD_HOST_DEBUG=false
+export ART_TEST_ANDROID_ROOT="/data/local/tmp/system"
+export ART_TEST_FULL=false
+export ART_TEST_INTERPRETER=true
+export ART_TEST_KEEP_GOING=true
+export ART_TEST_OPTIMIZING=true
+export ART_TEST_RUN_TEST_2ND_ARCH=false
+export ART_TEST_RUN_TEST_DEBUG=false
+export ART_TEST_RUN_TEST_NDEBUG=true
+export ART_USE_OPTIMIZING_COMPILER=true
+
+make -j4 $MAKE_TARGETS > $WORKSPACE/build-logs-32.txt 2>&1
if [ $? -ne 0 ]; then
echo "Error: *** Error make failed"
- cat $WORKSPACE/build-logs.txt
- echo "YVALUE=`grep "2mPASSED" $WORKSPACE/build-logs.txt | wc -l`" > ${WORKSPACE}/pass_case.txt
- echo "YVALUE=`grep "1mFAILED" $WORKSPACE/build-logs.txt | wc -l`" > ${WORKSPACE}/fail_case.txt
- echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs.txt | wc -l`" > ${WORKSPACE}/skip_case.txt
- grep -rni "1mFAILED" $WORKSPACE/build-logs.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/failing-tests.txt
- grep -rni "3mSKIPPING" $WORKSPACE/build-logs.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/skipped-tests.txt
- exit -1
+ cat $WORKSPACE/build-logs-32.txt
+ echo "YVALUE=`grep "2mPASSED" $WORKSPACE/build-logs-32.txt | grep "gtest" | ec -l`" > ${WORKSPACE}/gtest-pass_count-32.txt
+ echo "YVALUE=`grep "1mFAILED" $WORKSPACE/build-logs-32.txt | grep "gtest" | wc -l`" > ${WORKSPACE}/gtest-fail_count-32.txt
+ echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs-32.txt | grep "gtest" | wc -l`" > ${WORKSPACE}/gtest-skip_case-32.txt
+ echo "YVALUE=`grep "2mPASSED" $WORKSPACE/build-logs-32.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-pass_count-32.txt
+ echo "YVALUE=`grep "1mFAILED" $WORKSPACE/build-logs-32.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-fail_count-32.txt
+ echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs-32.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-skip_case-32.txt
+ grep -rni "1mFAILED" $WORKSPACE/build-logs-32.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/failing-tests-32.txt
+ grep -rni "3mSKIPPING" $WORKSPACE/build-logs-32.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/skipped-tests-32.txt
+ failed=1
fi
echo "YVALUE=`grep "2mPASSED" $WORKSPACE/build-logs.txt | wc -l`" > ${WORKSPACE}/pass_case.txt
@@ -52,3 +87,7 @@ MAKE_TIME=$(echo "$MAKE_END - $MAKE_START" | bc)
echo "YVALUE=${MAKE_TIME}" > ${WORKSPACE}/make_time.txt
echo "YVALUE=${REPO_TIME}" > ${WORKSPACE}/repo_time.txt
ccache -s
+
+if [ $failed=1 ];then
+ exit -1
+fi